package cn.ibizlab.r7.runtime.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.client.model.IUniRes;
import cn.ibizlab.r7.runtime.util.SearchContext;

/**
 * 实体[UniRes] 服务对象接口
 */
public interface IUniResClientService{

    public IUniRes createModel() ;

    public void remove(IUniRes unires);

    public void save(IUniRes unires);

    public void update(IUniRes unires);

    public void get(IUniRes unires);

    public void create(IUniRes unires);

    public void getDraft(IUniRes unires);

    public void getResource(IUniRes unires);

    public void checkKey(IUniRes unires);

    public Page<IUniRes> fetchSelectUniresAll(SearchContext context);

    public Page<IUniRes> fetchDefault(SearchContext context);

}
